Stories executions statistics

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Get bot stories executions stats

Response

AttributeTypeDescription
data[].typestringalways "story_executions_stats"
data[].storyIDstringthe story ID
data[].storyNamestringthe story name
data[].executionsCountintthe number of hit of the story
data[].fallbacksCountintthe number of hit of the story’s fallback step
data[].executionsPercentfloatrate of hit of the story on the total hit of stories for the day
{
    "data": [
        {
            "type": "story_executions_stats",
            "storyID": "5b06d94cb76715002e6a12a6",
            "storyName": "hello world",
            "executionsCount": 42,
            "fallbacksCount": 0,
            "executionsPercent": 0.3962264151
        },
        {
            "type": "story_executions_stats",
            "storyID": "5c3f037a4525f0005fecd5e5",
            "storyName": "JOKE (event triggered)",
            "executionsCount": 34,
            "fallbacksCount": 0,
            "executionsPercent": 0.320754717
        },
        {
            "type": "story_executions_stats",
            "storyID": "5c3f0a474525f0005fecd609",
            "storyName": "PRICING",
            "executionsCount": 20,
            "fallbacksCount": 0,
            "executionsPercent": 0.1886792453
        },
        {
            "type": "story_executions_stats",
            "storyID": "5b07d3c7b7671500d2a47375",
            "storyName": "Expériences",
            "executionsCount": 5,
            "fallbacksCount": 2,
            "executionsPercent": 0.0471698113
        },
        {
            "type": "story_executions_stats",
            "storyID": "5b06d8fdd370e4000791a422",
            "storyName": "Fallback story",
            "executionsCount": 4,
            "fallbacksCount": 0,
            "executionsPercent": 0.0377358491
        },
        {
            "type": "story_executions_stats",
            "storyID": "5b07d3f5b7671500d2a47377",
            "storyName": "Data Bricolage",
            "executionsCount": 1,
            "fallbacksCount": 0,
            "executionsPercent": 0.0094339623
        }
    ]
}
Path Params
string
required

a bot ID

Query Params
string
required

define the start date of the analysis, format must be %Y-%m-%d

string
required

define the end date of the analysis, format must be %Y-%m-%d.

story_ids
array of strings

comma separated list of story IDs

story_ids
string

filter string. If set, return only stories which contains the value in its name

string

column to sort the results upon (can be executions_count, in both order )

int32

limit number of results

int32
Defaults to 1

page of results

boolean
Defaults to false

ignore the welcom story for the results. welcom story is configured in clustaar channel

ignored_story_ids
array of strings

comma separated list of story ID to ignore from the results

ignored_story_ids
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json